llvm.org GIT mirror llvm / 59473af
For PR351: * Make sure all headers used by lib/System have checks * Use "standard" autoconf checks for certain problematic headers For PR432: * Resurrect --with-llvmgccdir so a specific llvm-gcc/llvm-g++ installation can be specified. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@19142 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 15 years ago
3 changed file(s) with 730 addition(s) and 430 deletion(s). Raw diff Collapse all Expand all
232232 *) AC_MSG_ERROR([Invalid setting for --enable-doxygen. Use "yes" or "no"]) ;;
233233 esac
234234
235 dnl Allow a specific llvm-gcc/llvm-g++ pair to be used with this LLVM config.
236 AC_ARG_WITH(llvmgccdir,
237 AS_HELP_STRING([--with-llvmgccdir],
238 [Specify location of llvm-gcc install dir (default searches PATH)]),,
239 withval=default)
240 case "$withval" in
241 default) WITH_LLVMGCCDIR=default ;;
242 /*) WITH_LLVMGCCDIR=$withval ;;
243 *) AC_MSG_ERROR([Invalid path for --with-llvmgccdir. Provide full path]) ;;
244 esac
245
235246 dnl===-----------------------------------------------------------------------===
236247 dnl===
237248 dnl=== SECTION 4: Check for programs we need and that they are the right version
253264 AC_PATH_PROG(DATE, [date], [date])
254265 AC_PATH_PROG(FIND, [find], [find])
255266 AC_PATH_PROG(GREP, [grep], [grep])
256 AC_PATH_PROG(LLVMGCC, [llvm-gcc], [llvm-gcc])
257 AC_PATH_PROG(LLVMGXX, [llvm-g++], [llvm-g++])
258267 AC_PATH_PROG(MKDIR,[mkdir],[mkdir])
259268 AC_PATH_PROG(MV, [mv], [mv])
260269 AC_PATH_PROG(PAX, [pax], [pax])
301310 esac
302311 AC_SUBST(ETAGSFLAGS,$ETAGSFLAGS)
303312
313 if test "$WITH_LLVMGCCDIR" != "default" ; then
314 AC_PATH_PROG(LLVMGCC, [llvm-gcc], [llvm-gcc])
315 AC_PATH_PROG(LLVMGXX, [llvm-g++], [llvm-g++])
316 else
317 LLVMGCC=$WITH_LLVMGCCDIR/bin/llvm-gcc
318 LLVMGXX=$WITH_LLVMGCCDIR/bin/llvm-g++
319 AC_SUBST(LLVMGCC,$LLVMGCC)
320 AC_SUBST(LLVMGXX,$LLVMGXX)
321 fi
322
304323 AC_MSG_CHECKING([tool compatibility])
305324
306325 dnl Ensure that compilation tools are GCC or a GNU compatible compiler such as
385404 dnl===
386405 dnl===-----------------------------------------------------------------------===
387406
407 dnl First, use autoconf provided macros for specific headers that we need
388408 dnl We don't check for ancient stuff or things that are guaranteed to be there
389409 dnl by the C++ standard. We always use the versions of C headers.
410 dnl Generally we're looking for POSIX headers.
411 AC_HEADER_DIRENT
412 AC_HEADER_MMAP_ANONYMOUS
413 AC_HEADER_STAT
390414 AC_HEADER_STDC
391
392 dnl However, we do need some system specific header files. Generally we're
393 dnl looking for POSIX headers.
394415 AC_HEADER_SYS_WAIT
395 AC_CHECK_HEADERS([sys/time.h sys/mman.h sys/resource.h sys/time.h sys/types.h])
396 AC_CHECK_HEADERS([dlfcn.h execinfo.h fcntl.h limits.h link.h])
397 AC_CHECK_HEADERS([malloc.h unistd.h windows.h])
398416 AC_HEADER_TIME
399 AC_HEADER_MMAP_ANONYMOUS
400
401 dnl Check for things that need to be included in public headers, and so
402 dnl for which we may not have access to a HAVE_* preprocessor #define.
403 dnl (primarily used in DataTypes.h)
404 AC_CHECK_HEADERS([inttypes.h stdint.h])
417
418 AC_CHECK_HEADERS([dlfcn.h execinfo.h fcntl.h inttypes.h limits.h link.h])
419 AC_CHECK_HEADERS([malloc.h signal.h stdint.h unistd.h utime.h windows.h])
420 AC_CHECK_HEADERS([sys/mman.h sys/param.h sys/resource.h sys/time.h sys/types.h])
405421
406422 dnl===-----------------------------------------------------------------------===
407423 dnl===
426442
427443 AC_CHECK_FUNCS([backtrace getcwd getpagesize getrusage gettimeofday isatty ])
428444 AC_CHECK_FUNCS([mkdtemp mkstemp mktemp ])
429 AC_CHECK_FUNCS([realpath strdup strtoq strtoll sysconf ])
445 AC_CHECK_FUNCS([realpath setrlimit strdup strtoq strtoll sysconf ])
430446 AC_C_PRINTF_A
431447 AC_FUNC_ALLOCA
432448 AC_FUNC_RAND48
475475 # include
476476 #endif"
477477
478 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS LLVM_COPYRIGHT subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS ARCH ENDIAN CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ENABLE_OPTIMIZED JIT ENABLE_DOXYGEN CPP CXX CXXFLAGS ac_ct_CXX LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON ifGNUmake LN_S CMP CP DATE FIND GREP LLVMGCC LLVMGXX MKDIR MV PAX RANLIB ac_ct_RANLIB RM SED TAR INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA BZIP2 DOT DOXYGEN ETAGS GROFF GZIP POD2HTML POD2MAN RUNTEST TCLSH ZIP EGREP INSTALL_LTDL_TRUE INSTALL_LTDL_FALSE CONVENIENCE_LTDL_TRUE CONVENIENCE_LTDL_FALSE LIBADD_DL ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ETAGSFLAGS ALLOCA MMAP_FILE LLVMCC1 LLVMCC1PLUS LLVMGCCDIR SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
478 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS LLVM_COPYRIGHT subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS ARCH ENDIAN CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ENABLE_OPTIMIZED JIT ENABLE_DOXYGEN CPP CXX CXXFLAGS ac_ct_CXX LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON ifGNUmake LN_S CMP CP DATE FIND GREP MKDIR MV PAX RANLIB ac_ct_RANLIB RM SED TAR INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA BZIP2 DOT DOXYGEN ETAGS GROFF GZIP POD2HTML POD2MAN RUNTEST TCLSH ZIP EGREP INSTALL_LTDL_TRUE INSTALL_LTDL_FALSE CONVENIENCE_LTDL_TRUE CONVENIENCE_LTDL_FALSE LIBADD_DL ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ETAGSFLAGS LLVMGCC LLVMGXX ALLOCA MMAP_FILE LLVMCC1 LLVMCC1PLUS LLVMGCCDIR SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
479479 ac_subst_files=''
480480
481481 # Initialize some variables set by options.
10481048 Optional Packages:
10491049 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
10501050 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1051 --with-llvmgccdir Specify location of llvm-gcc install dir (default
1052 searches PATH)
10511053 --with-tclinclude directory where tcl headers are
10521054 --with-gnu-ld assume the C compiler uses GNU ld [default=no]
10531055 --with-pic try to use only PIC/non-PIC objects [default=use
30183020 esac
30193021
30203022
3023 # Check whether --with-llvmgccdir or --without-llvmgccdir was given.
3024 if test "${with_llvmgccdir+set}" = set; then
3025 withval="$with_llvmgccdir"
3026
3027 else
3028 withval=default
3029 fi;
3030 case "$withval" in
3031 default) WITH_LLVMGCCDIR=default ;;
3032 /*) WITH_LLVMGCCDIR=$withval ;;
3033 *) { { echo "$as_me:$LINENO: error: Invalid path for --with-llvmgccdir. Provide full path" >&5
3034 echo "$as_me: error: Invalid path for --with-llvmgccdir. Provide full path" >&2;}
3035 { (exit 1); exit 1; }; } ;;
3036 esac
3037
3038
30213039 ac_ext=c
30223040 ac_cpp='$CPP $CPPFLAGS'
30233041 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
47014719 if test -n "$GREP"; then
47024720 echo "$as_me:$LINENO: result: $GREP" >&5
47034721 echo "${ECHO_T}$GREP" >&6
4704 else
4705 echo "$as_me:$LINENO: result: no" >&5
4706 echo "${ECHO_T}no" >&6
4707 fi
4708
4709 # Extract the first word of "llvm-gcc", so it can be a program name with args.
4710 set dummy llvm-gcc; ac_word=$2
4711 echo "$as_me:$LINENO: checking for $ac_word" >&5
4712 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
4713 if test "${ac_cv_path_LLVMGCC+set}" = set; then
4714 echo $ECHO_N "(cached) $ECHO_C" >&6
4715 else
4716 case $LLVMGCC in
4717 [\\/]* | ?:[\\/]*)
4718 ac_cv_path_LLVMGCC="$LLVMGCC" # Let the user override the test with a path.
4719 ;;
4720 *)
4721 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4722 for as_dir in $PATH
4723 do
4724 IFS=$as_save_IFS
4725 test -z "$as_dir" && as_dir=.
4726 for ac_exec_ext in '' $ac_executable_extensions; do
4727 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
4728 ac_cv_path_LLVMGCC="$as_dir/$ac_word$ac_exec_ext"
4729 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
4730 break 2
4731 fi
4732 done
4733 done
4734
4735 test -z "$ac_cv_path_LLVMGCC" && ac_cv_path_LLVMGCC="llvm-gcc"
4736 ;;
4737 esac
4738 fi
4739 LLVMGCC=$ac_cv_path_LLVMGCC
4740
4741 if test -n "$LLVMGCC"; then
4742 echo "$as_me:$LINENO: result: $LLVMGCC" >&5
4743 echo "${ECHO_T}$LLVMGCC" >&6
4744 else
4745 echo "$as_me:$LINENO: result: no" >&5
4746 echo "${ECHO_T}no" >&6
4747 fi
4748
4749 # Extract the first word of "llvm-g++", so it can be a program name with args.
4750 set dummy llvm-g++; ac_word=$2
4751 echo "$as_me:$LINENO: checking for $ac_word" >&5
4752 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
4753 if test "${ac_cv_path_LLVMGXX+set}" = set; then
4754 echo $ECHO_N "(cached) $ECHO_C" >&6
4755 else
4756 case $LLVMGXX in
4757 [\\/]* | ?:[\\/]*)
4758 ac_cv_path_LLVMGXX="$LLVMGXX" # Let the user override the test with a path.
4759 ;;
4760 *)
4761 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4762 for as_dir in $PATH
4763 do
4764 IFS=$as_save_IFS
4765 test -z "$as_dir" && as_dir=.
4766 for ac_exec_ext in '' $ac_executable_extensions; do
4767 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
4768 ac_cv_path_LLVMGXX="$as_dir/$ac_word$ac_exec_ext"
4769 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
4770 break 2
4771 fi
4772 done
4773 done
4774
4775 test -z "$ac_cv_path_LLVMGXX" && ac_cv_path_LLVMGXX="llvm-g++"
4776 ;;
4777 esac
4778 fi
4779 LLVMGXX=$ac_cv_path_LLVMGXX
4780
4781 if test -n "$LLVMGXX"; then
4782 echo "$as_me:$LINENO: result: $LLVMGXX" >&5
4783 echo "${ECHO_T}$LLVMGXX" >&6
47844722 else
47854723 echo "$as_me:$LINENO: result: no" >&5
47864724 echo "${ECHO_T}no" >&6
82818219 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
82828220 lt_status=$lt_dlunknown
82838221 cat > conftest.$ac_ext <
8284 #line 8285 "configure"
8222 #line 8223 "configure"
82858223 #include "confdefs.h"
82868224
82878225 #if HAVE_DLFCN_H
1027210210 ;;
1027310211 *-*-irix6*)
1027410212 # Find out which ABI we are using.
10275 echo '#line 10276 "configure"' > conftest.$ac_ext
10213 echo '#line 10214 "configure"' > conftest.$ac_ext
1027610214 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1027710215 (eval $ac_compile) 2>&5
1027810216 ac_status=$?
1075710695
1075810696
1075910697 # Provide some information about the compiler.
10760 echo "$as_me:10761:" \
10698 echo "$as_me:10699:" \
1076110699 "checking for Fortran 77 compiler version" >&5
1076210700 ac_compiler=`set X $ac_compile; echo $2`
1076310701 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version &5\"") >&5
1181411752 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1181511753 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1181611754 -e 's:$: $lt_compiler_flag:'`
11817 (eval echo "\"\$as_me:11818: $lt_compile\"" >&5)
11755 (eval echo "\"\$as_me:11756: $lt_compile\"" >&5)
1181811756 (eval "$lt_compile" 2>conftest.err)
1181911757 ac_status=$?
1182011758 cat conftest.err >&5
11821 echo "$as_me:11822: \$? = $ac_status" >&5
11759 echo "$as_me:11760: \$? = $ac_status" >&5
1182211760 if (exit $ac_status) && test -s "$ac_outfile"; then
1182311761 # The compiler can only warn and ignore the option if not recognized
1182411762 # So say no if there are warnings
1205711995 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1205811996 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1205911997 -e 's:$: $lt_compiler_flag:'`
12060 (eval echo "\"\$as_me:12061: $lt_compile\"" >&5)
11998 (eval echo "\"\$as_me:11999: $lt_compile\"" >&5)
1206111999 (eval "$lt_compile" 2>conftest.err)
1206212000 ac_status=$?
1206312001 cat conftest.err >&5
12064 echo "$as_me:12065: \$? = $ac_status" >&5
12002 echo "$as_me:12003: \$? = $ac_status" >&5
1206512003 if (exit $ac_status) && test -s "$ac_outfile"; then
1206612004 # The compiler can only warn and ignore the option if not recognized
1206712005 # So say no if there are warnings
1211712055 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1211812056 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1211912057 -e 's:$: $lt_compiler_flag:'`
12120 (eval echo "\"\$as_me:12121: $lt_compile\"" >&5)
12058 (eval echo "\"\$as_me:12059: $lt_compile\"" >&5)
1212112059 (eval "$lt_compile" 2>out/conftest.err)
1212212060 ac_status=$?
1212312061 cat out/conftest.err >&5
12124 echo "$as_me:12125: \$? = $ac_status" >&5
12062 echo "$as_me:12063: \$? = $ac_status" >&5
1212512063 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1212612064 then
1212712065 # The compiler can only warn and ignore the option if not recognized
1430214240 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1430314241 lt_status=$lt_dlunknown
1430414242 cat > conftest.$ac_ext <
14305 #line 14306 "configure"
14243 #line 14244 "configure"
1430614244 #include "confdefs.h"
1430714245
1430814246 #if HAVE_DLFCN_H
1440014338 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1440114339 lt_status=$lt_dlunknown
1440214340 cat > conftest.$ac_ext <
14403 #line 14404 "configure"
14341 #line 14342 "configure"
1440414342 #include "confdefs.h"
1440514343
1440614344 #if HAVE_DLFCN_H
1659316531 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1659416532 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1659516533 -e 's:$: $lt_compiler_flag:'`
16596 (eval echo "\"\$as_me:16597: $lt_compile\"" >&5)
16534 (eval echo "\"\$as_me:16535: $lt_compile\"" >&5)
1659716535 (eval "$lt_compile" 2>conftest.err)
1659816536 ac_status=$?
1659916537 cat conftest.err >&5
16600 echo "$as_me:16601: \$? = $ac_status" >&5
16538 echo "$as_me:16539: \$? = $ac_status" >&5
1660116539 if (exit $ac_status) && test -s "$ac_outfile"; then
1660216540 # The compiler can only warn and ignore the option if not recognized
1660316541 # So say no if there are warnings
1665316591 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1665416592 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1665516593 -e 's:$: $lt_compiler_flag:'`
16656 (eval echo "\"\$as_me:16657: $lt_compile\"" >&5)
16594 (eval echo "\"\$as_me:16595: $lt_compile\"" >&5)
1665716595 (eval "$lt_compile" 2>out/conftest.err)
1665816596 ac_status=$?
1665916597 cat out/conftest.err >&5
16660 echo "$as_me:16661: \$? = $ac_status" >&5
16598 echo "$as_me:16599: \$? = $ac_status" >&5
1666116599 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1666216600 then
1666316601 # The compiler can only warn and ignore the option if not recognized
1801417952 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1801517953 lt_status=$lt_dlunknown
1801617954 cat > conftest.$ac_ext <
18017 #line 18018 "configure"
17955 #line 17956 "configure"
1801817956 #include "confdefs.h"
1801917957
1802017958 #if HAVE_DLFCN_H
1811218050 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1811318051 lt_status=$lt_dlunknown
1811418052 cat > conftest.$ac_ext <
18115 #line 18116 "configure"
18053 #line 18054 "configure"
1811618054 #include "confdefs.h"
1811718055
1811818056 #if HAVE_DLFCN_H
1894918887 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1895018888 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1895118889 -e 's:$: $lt_compiler_flag:'`
18952 (eval echo "\"\$as_me:18953: $lt_compile\"" >&5)
18890 (eval echo "\"\$as_me:18891: $lt_compile\"" >&5)
1895318891 (eval "$lt_compile" 2>conftest.err)
1895418892 ac_status=$?
1895518893 cat conftest.err >&5
18956 echo "$as_me:18957: \$? = $ac_status" >&5
18894 echo "$as_me:18895: \$? = $ac_status" >&5
1895718895 if (exit $ac_status) && test -s "$ac_outfile"; then
1895818896 # The compiler can only warn and ignore the option if not recognized
1895918897 # So say no if there are warnings
1900918947 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1901018948 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1901118949 -e 's:$: $lt_compiler_flag:'`
19012 (eval echo "\"\$as_me:19013: $lt_compile\"" >&5)
18950 (eval echo "\"\$as_me:18951: $lt_compile\"" >&5)
1901318951 (eval "$lt_compile" 2>out/conftest.err)
1901418952 ac_status=$?
1901518953 cat out/conftest.err >&5
19016 echo "$as_me:19017: \$? = $ac_status" >&5
18954 echo "$as_me:18955: \$? = $ac_status" >&5
1901718955 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1901818956 then
1901918957 # The compiler can only warn and ignore the option if not recognized
2104820986 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2104920987 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2105020988 -e 's:$: $lt_compiler_flag:'`
21051 (eval echo "\"\$as_me:21052: $lt_compile\"" >&5)
20989 (eval echo "\"\$as_me:20990: $lt_compile\"" >&5)
2105220990 (eval "$lt_compile" 2>conftest.err)
2105320991 ac_status=$?
2105420992 cat conftest.err >&5
21055 echo "$as_me:21056: \$? = $ac_status" >&5
20993 echo "$as_me:20994: \$? = $ac_status" >&5
2105620994 if (exit $ac_status) && test -s "$ac_outfile"; then
2105720995 # The compiler can only warn and ignore the option if not recognized
2105820996 # So say no if there are warnings
2129121229 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2129221230 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2129321231 -e 's:$: $lt_compiler_flag:'`
21294 (eval echo "\"\$as_me:21295: $lt_compile\"" >&5)
21232 (eval echo "\"\$as_me:21233: $lt_compile\"" >&5)
2129521233 (eval "$lt_compile" 2>conftest.err)
2129621234 ac_status=$?
2129721235 cat conftest.err >&5
21298 echo "$as_me:21299: \$? = $ac_status" >&5
21236 echo "$as_me:21237: \$? = $ac_status" >&5
2129921237 if (exit $ac_status) && test -s "$ac_outfile"; then
2130021238 # The compiler can only warn and ignore the option if not recognized
2130121239 # So say no if there are warnings
2135121289 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2135221290 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2135321291 -e 's:$: $lt_compiler_flag:'`
21354 (eval echo "\"\$as_me:21355: $lt_compile\"" >&5)
21292 (eval echo "\"\$as_me:21293: $lt_compile\"" >&5)
2135521293 (eval "$lt_compile" 2>out/conftest.err)
2135621294 ac_status=$?
2135721295 cat out/conftest.err >&5
21358 echo "$as_me:21359: \$? = $ac_status" >&5
21296 echo "$as_me:21297: \$? = $ac_status" >&5
2135921297 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2136021298 then
2136121299 # The compiler can only warn and ignore the option if not recognized
2353623474 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2353723475 lt_status=$lt_dlunknown
2353823476 cat > conftest.$ac_ext <
23539 #line 23540 "configure"
23477 #line 23478 "configure"
2354023478 #include "confdefs.h"
2354123479
2354223480 #if HAVE_DLFCN_H
2363423572 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2363523573 lt_status=$lt_dlunknown
2363623574 cat > conftest.$ac_ext <
23637 #line 23638 "configure"
23575 #line 23576 "configure"
2363823576 #include "confdefs.h"
2363923577
2364023578 #if HAVE_DLFCN_H
2466224600 ETAGSFLAGS=$ETAGSFLAGS
2466324601
2466424602
24603 if test "$WITH_LLVMGCCDIR" != "default" ; then
24604 # Extract the first word of "llvm-gcc", so it can be a program name with args.
24605 set dummy llvm-gcc; ac_word=$2
24606 echo "$as_me:$LINENO: checking for $ac_word" >&5
24607 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
24608 if test "${ac_cv_path_LLVMGCC+set}" = set; then
24609 echo $ECHO_N "(cached) $ECHO_C" >&6
24610 else
24611 case $LLVMGCC in
24612 [\\/]* | ?:[\\/]*)
24613 ac_cv_path_LLVMGCC="$LLVMGCC" # Let the user override the test with a path.
24614 ;;
24615 *)
24616 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
24617 for as_dir in $PATH
24618 do
24619 IFS=$as_save_IFS
24620 test -z "$as_dir" && as_dir=.
24621 for ac_exec_ext in '' $ac_executable_extensions; do
24622 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
24623 ac_cv_path_LLVMGCC="$as_dir/$ac_word$ac_exec_ext"
24624 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
24625 break 2
24626 fi
24627 done
24628 done
24629
24630 test -z "$ac_cv_path_LLVMGCC" && ac_cv_path_LLVMGCC="llvm-gcc"
24631 ;;
24632 esac
24633 fi
24634 LLVMGCC=$ac_cv_path_LLVMGCC
24635
24636 if test -n "$LLVMGCC"; then
24637 echo "$as_me:$LINENO: result: $LLVMGCC" >&5
24638 echo "${ECHO_T}$LLVMGCC" >&6
24639 else
24640 echo "$as_me:$LINENO: result: no" >&5
24641 echo "${ECHO_T}no" >&6
24642 fi
24643
24644 # Extract the first word of "llvm-g++", so it can be a program name with args.
24645 set dummy llvm-g++; ac_word=$2
24646 echo "$as_me:$LINENO: checking for $ac_word" >&5
24647 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
24648 if test "${ac_cv_path_LLVMGXX+set}" = set; then
24649 echo $ECHO_N "(cached) $ECHO_C" >&6
24650 else
24651 case $LLVMGXX in
24652 [\\/]* | ?:[\\/]*)
24653 ac_cv_path_LLVMGXX="$LLVMGXX" # Let the user override the test with a path.
24654 ;;
24655 *)
24656 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
24657 for as_dir in $PATH
24658 do
24659 IFS=$as_save_IFS
24660 test -z "$as_dir" && as_dir=.
24661 for ac_exec_ext in '' $ac_executable_extensions; do
24662 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
24663 ac_cv_path_LLVMGXX="$as_dir/$ac_word$ac_exec_ext"
24664 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
24665 break 2
24666 fi
24667 done
24668 done
24669
24670 test -z "$ac_cv_path_LLVMGXX" && ac_cv_path_LLVMGXX="llvm-g++"
24671 ;;
24672 esac
24673 fi
24674 LLVMGXX=$ac_cv_path_LLVMGXX
24675
24676 if test -n "$LLVMGXX"; then
24677 echo "$as_me:$LINENO: result: $LLVMGXX" >&5
24678 echo "${ECHO_T}$LLVMGXX" >&6
24679 else
24680 echo "$as_me:$LINENO: result: no" >&5
24681 echo "${ECHO_T}no" >&6
24682 fi
24683
24684 else
24685 LLVMGCC=$WITH_LLVMGCCDIR/bin/llvm-gcc
24686 LLVMGXX=$WITH_LLVMGCCDIR/bin/llvm-g++
24687 LLVMGCC=$LLVMGCC
24688
24689 LLVMGXX=$LLVMGXX
24690
24691 fi
24692
2466524693 echo "$as_me:$LINENO: checking tool compatibility" >&5
2466624694 echo $ECHO_N "checking tool compatibility... $ECHO_C" >&6
2466724695
2532025348
2532125349
2532225350
25351
25352
25353
25354
25355
25356 ac_header_dirent=no
25357 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
25358 as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
25359 echo "$as_me:$LINENO: checking for $ac_hdr that defines DIR" >&5
25360 echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6
25361 if eval "test \"\${$as_ac_Header+set}\" = set"; then
25362 echo $ECHO_N "(cached) $ECHO_C" >&6
25363 else
25364 cat >conftest.$ac_ext <<_ACEOF
25365 /* confdefs.h. */
25366 _ACEOF
25367 cat confdefs.h >>conftest.$ac_ext
25368 cat >>conftest.$ac_ext <<_ACEOF
25369 /* end confdefs.h. */
25370 #include
25371 #include <$ac_hdr>
25372
25373 int
25374 main ()
25375 {
25376 if ((DIR *) 0)
25377 return 0;
25378 ;
25379 return 0;
25380 }
25381 _ACEOF
25382 rm -f conftest.$ac_objext
25383 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
25384 (eval $ac_compile) 2>conftest.er1
25385 ac_status=$?
25386 grep -v '^ *+' conftest.er1 >conftest.err
25387 rm -f conftest.er1
25388 cat conftest.err >&5
25389 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25390 (exit $ac_status); } &&
25391 { ac_try='test -z "$ac_c_werror_flag"
25392 || test ! -s conftest.err'
25393 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25394 (eval $ac_try) 2>&5
25395 ac_status=$?
25396 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25397 (exit $ac_status); }; } &&
25398 { ac_try='test -s conftest.$ac_objext'
25399 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25400 (eval $ac_try) 2>&5
25401 ac_status=$?
25402 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25403 (exit $ac_status); }; }; then
25404 eval "$as_ac_Header=yes"
25405 else
25406 echo "$as_me: failed program was:" >&5
25407 sed 's/^/| /' conftest.$ac_ext >&5
25408
25409 eval "$as_ac_Header=no"
25410 fi
25411 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
25412 fi
25413 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
25414 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
25415 if test `eval echo '${'$as_ac_Header'}'` = yes; then
25416 cat >>confdefs.h <<_ACEOF
25417 #define `echo "HAVE_$ac_hdr" | $as_tr_cpp` 1
25418 _ACEOF
25419
25420 ac_header_dirent=$ac_hdr; break
25421 fi
25422
25423 done
25424 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
25425 if test $ac_header_dirent = dirent.h; then
25426 echo "$as_me:$LINENO: checking for library containing opendir" >&5
25427 echo $ECHO_N "checking for library containing opendir... $ECHO_C" >&6
25428 if test "${ac_cv_search_opendir+set}" = set; then
25429 echo $ECHO_N "(cached) $ECHO_C" >&6
25430 else
25431 ac_func_search_save_LIBS=$LIBS
25432 ac_cv_search_opendir=no
25433 cat >conftest.$ac_ext <<_ACEOF
25434 /* confdefs.h. */
25435 _ACEOF
25436 cat confdefs.h >>conftest.$ac_ext
25437 cat >>conftest.$ac_ext <<_ACEOF
25438 /* end confdefs.h. */
25439
25440 /* Override any gcc2 internal prototype to avoid an error. */
25441 #ifdef __cplusplus
25442 extern "C"
25443 #endif
25444 /* We use char because int might match the return type of a gcc2
25445 builtin and then its argument prototype would still apply. */
25446 char opendir ();
25447 int
25448 main ()
25449 {
25450 opendir ();
25451 ;
25452 return 0;
25453 }
25454 _ACEOF
25455 rm -f conftest.$ac_objext conftest$ac_exeext
25456 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
25457 (eval $ac_link) 2>conftest.er1
25458 ac_status=$?
25459 grep -v '^ *+' conftest.er1 >conftest.err
25460 rm -f conftest.er1
25461 cat conftest.err >&5
25462 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25463 (exit $ac_status); } &&
25464 { ac_try='test -z "$ac_c_werror_flag"
25465 || test ! -s conftest.err'
25466 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25467 (eval $ac_try) 2>&5
25468 ac_status=$?
25469 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25470 (exit $ac_status); }; } &&
25471 { ac_try='test -s conftest$ac_exeext'
25472 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25473 (eval $ac_try) 2>&5
25474 ac_status=$?
25475 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25476 (exit $ac_status); }; }; then
25477 ac_cv_search_opendir="none required"
25478 else
25479 echo "$as_me: failed program was:" >&5
25480 sed 's/^/| /' conftest.$ac_ext >&5
25481
25482 fi
25483 rm -f conftest.err conftest.$ac_objext \
25484 conftest$ac_exeext conftest.$ac_ext
25485 if test "$ac_cv_search_opendir" = no; then
25486 for ac_lib in dir; do
25487 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
25488 cat >conftest.$ac_ext <<_ACEOF
25489 /* confdefs.h. */
25490 _ACEOF
25491 cat confdefs.h >>conftest.$ac_ext
25492 cat >>conftest.$ac_ext <<_ACEOF
25493 /* end confdefs.h. */
25494
25495 /* Override any gcc2 internal prototype to avoid an error. */
25496 #ifdef __cplusplus
25497 extern "C"
25498 #endif
25499 /* We use char because int might match the return type of a gcc2
25500 builtin and then its argument prototype would still apply. */
25501 char opendir ();
25502 int
25503 main ()
25504 {
25505 opendir ();
25506 ;
25507 return 0;
25508 }
25509 _ACEOF
25510 rm -f conftest.$ac_objext conftest$ac_exeext
25511 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
25512 (eval $ac_link) 2>conftest.er1
25513 ac_status=$?
25514 grep -v '^ *+' conftest.er1 >conftest.err
25515 rm -f conftest.er1
25516 cat conftest.err >&5
25517 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25518 (exit $ac_status); } &&
25519 { ac_try='test -z "$ac_c_werror_flag"
25520 || test ! -s conftest.err'
25521 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25522 (eval $ac_try) 2>&5
25523 ac_status=$?
25524 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25525 (exit $ac_status); }; } &&
25526 { ac_try='test -s conftest$ac_exeext'
25527 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25528 (eval $ac_try) 2>&5
25529 ac_status=$?
25530 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25531 (exit $ac_status); }; }; then
25532 ac_cv_search_opendir="-l$ac_lib"
25533 break
25534 else
25535 echo "$as_me: failed program was:" >&5
25536 sed 's/^/| /' conftest.$ac_ext >&5
25537
25538 fi
25539 rm -f conftest.err conftest.$ac_objext \
25540 conftest$ac_exeext conftest.$ac_ext
25541 done
25542 fi
25543 LIBS=$ac_func_search_save_LIBS
25544 fi
25545 echo "$as_me:$LINENO: result: $ac_cv_search_opendir" >&5
25546 echo "${ECHO_T}$ac_cv_search_opendir" >&6
25547 if test "$ac_cv_search_opendir" != no; then
25548 test "$ac_cv_search_opendir" = "none required" || LIBS="$ac_cv_search_opendir $LIBS"
25549
25550 fi
25551
25552 else
25553 echo "$as_me:$LINENO: checking for library containing opendir" >&5
25554 echo $ECHO_N "checking for library containing opendir... $ECHO_C" >&6
25555 if test "${ac_cv_search_opendir+set}" = set; then
25556 echo $ECHO_N "(cached) $ECHO_C" >&6
25557 else
25558 ac_func_search_save_LIBS=$LIBS
25559 ac_cv_search_opendir=no
25560 cat >conftest.$ac_ext <<_ACEOF
25561 /* confdefs.h. */
25562 _ACEOF
25563 cat confdefs.h >>conftest.$ac_ext
25564 cat >>conftest.$ac_ext <<_ACEOF
25565 /* end confdefs.h. */
25566
25567 /* Override any gcc2 internal prototype to avoid an error. */
25568 #ifdef __cplusplus
25569 extern "C"
25570 #endif
25571 /* We use char because int might match the return type of a gcc2
25572 builtin and then its argument prototype would still apply. */
25573 char opendir ();
25574 int
25575 main ()
25576 {
25577 opendir ();
25578 ;
25579 return 0;
25580 }
25581 _ACEOF
25582 rm -f conftest.$ac_objext conftest$ac_exeext
25583 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
25584 (eval $ac_link) 2>conftest.er1
25585 ac_status=$?
25586 grep -v '^ *+' conftest.er1 >conftest.err
25587 rm -f conftest.er1
25588 cat conftest.err >&5
25589 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25590 (exit $ac_status); } &&
25591 { ac_try='test -z "$ac_c_werror_flag"
25592 || test ! -s conftest.err'
25593 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25594 (eval $ac_try) 2>&5
25595 ac_status=$?
25596 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25597 (exit $ac_status); }; } &&
25598 { ac_try='test -s conftest$ac_exeext'
25599 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25600 (eval $ac_try) 2>&5
25601 ac_status=$?
25602 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25603 (exit $ac_status); }; }; then
25604 ac_cv_search_opendir="none required"
25605 else
25606 echo "$as_me: failed program was:" >&5
25607 sed 's/^/| /' conftest.$ac_ext >&5
25608
25609 fi
25610 rm -f conftest.err conftest.$ac_objext \
25611 conftest$ac_exeext conftest.$ac_ext
25612 if test "$ac_cv_search_opendir" = no; then
25613 for ac_lib in x; do
25614 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
25615 cat >conftest.$ac_ext <<_ACEOF
25616 /* confdefs.h. */
25617 _ACEOF
25618 cat confdefs.h >>conftest.$ac_ext
25619 cat >>conftest.$ac_ext <<_ACEOF
25620 /* end confdefs.h. */
25621
25622 /* Override any gcc2 internal prototype to avoid an error. */
25623 #ifdef __cplusplus
25624 extern "C"
25625 #endif
25626 /* We use char because int might match the return type of a gcc2
25627 builtin and then its argument prototype would still apply. */
25628 char opendir ();
25629 int
25630 main ()
25631 {
25632 opendir ();
25633 ;
25634 return 0;
25635 }
25636 _ACEOF
25637 rm -f conftest.$ac_objext conftest$ac_exeext
25638 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
25639 (eval $ac_link) 2>conftest.er1
25640 ac_status=$?
25641 grep -v '^ *+' conftest.er1 >conftest.err
25642 rm -f conftest.er1
25643 cat conftest.err >&5
25644 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25645 (exit $ac_status); } &&
25646 { ac_try='test -z "$ac_c_werror_flag"
25647 || test ! -s conftest.err'
25648 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25649 (eval $ac_try) 2>&5
25650 ac_status=$?
25651 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25652 (exit $ac_status); }; } &&
25653 { ac_try='test -s conftest$ac_exeext'
25654 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25655 (eval $ac_try) 2>&5
25656 ac_status=$?
25657 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25658 (exit $ac_status); }; }; then
25659 ac_cv_search_opendir="-l$ac_lib"
25660 break
25661 else
25662 echo "$as_me: failed program was:" >&5
25663 sed 's/^/| /' conftest.$ac_ext >&5
25664
25665 fi
25666 rm -f conftest.err conftest.$ac_objext \
25667 conftest$ac_exeext conftest.$ac_ext
25668 done
25669 fi
25670 LIBS=$ac_func_search_save_LIBS
25671 fi
25672 echo "$as_me:$LINENO: result: $ac_cv_search_opendir" >&5
25673 echo "${ECHO_T}$ac_cv_search_opendir" >&6
25674 if test "$ac_cv_search_opendir" != no; then
25675 test "$ac_cv_search_opendir" = "none required" || LIBS="$ac_cv_search_opendir $LIBS"
25676
25677 fi
25678
25679 fi
25680
25681 echo "$as_me:$LINENO: checking for MAP_ANONYMOUS vs. MAP_ANON" >&5
25682 echo $ECHO_N "checking for MAP_ANONYMOUS vs. MAP_ANON... $ECHO_C" >&6
25683 if test "${ac_cv_header_mmap_anon+set}" = set; then
25684 echo $ECHO_N "(cached) $ECHO_C" >&6
25685 else
25686 ac_ext=c
25687 ac_cpp='$CPP $CPPFLAGS'
25688 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
25689 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
25690 ac_compiler_gnu=$ac_cv_c_compiler_gnu
25691
25692 cat >conftest.$ac_ext <<_ACEOF
25693 /* confdefs.h. */
25694 _ACEOF
25695 cat confdefs.h >>conftest.$ac_ext
25696 cat >>conftest.$ac_ext <<_ACEOF
25697 /* end confdefs.h. */
25698 #include
25699 #include
25700 #include
25701 int
25702 main ()
25703 {
25704 mmap (0, 1, PROT_READ, MAP_ANONYMOUS, -1, 0); return (0);
25705 ;
25706 return 0;
25707 }
25708 _ACEOF
25709 rm -f conftest.$ac_objext
25710 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
25711 (eval $ac_compile) 2>conftest.er1
25712 ac_status=$?
25713 grep -v '^ *+' conftest.er1 >conftest.err
25714 rm -f conftest.er1
25715 cat conftest.err >&5
25716 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25717 (exit $ac_status); } &&
25718 { ac_try='test -z "$ac_c_werror_flag"
25719 || test ! -s conftest.err'
25720 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25721 (eval $ac_try) 2>&5
25722 ac_status=$?
25723 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25724 (exit $ac_status); }; } &&
25725 { ac_try='test -s conftest.$ac_objext'
25726 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
25727 (eval $ac_try) 2>&5
25728 ac_status=$?
25729 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25730 (exit $ac_status); }; }; then
25731 ac_cv_header_mmap_anon=yes
25732 else
25733 echo "$as_me: failed program was:" >&5
25734 sed 's/^/| /' conftest.$ac_ext >&5
25735
25736 ac_cv_header_mmap_anon=no
25737 fi
25738 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
25739 ac_ext=c
25740 ac_cpp='$CPP $CPPFLAGS'
25741 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
25742 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
25743 ac_compiler_gnu=$ac_cv_c_compiler_gnu
25744
25745
25746 fi
25747 echo "$as_me:$LINENO: result: $ac_cv_header_mmap_anon" >&5
25748 echo "${ECHO_T}$ac_cv_header_mmap_anon" >&6
25749 if test "$ac_cv_header_mmap_anon" = yes; then
25750
25751 cat >>confdefs.h <<\_ACEOF
25752 #define HAVE_MMAP_ANONYMOUS
25753 _ACEOF
25754
25755 fi
25756
25757 echo "$as_me:$LINENO: checking whether stat file-mode macros are broken" >&5
25758 echo $ECHO_N "checking whether stat file-mode macros are broken... $ECHO_C" >&6
25759 if test "${ac_cv_header_stat_broken+set}" = set; then
25760 echo $ECHO_N "(cached) $ECHO_C" >&6
25761 else
25762 cat >conftest.$ac_ext <<_ACEOF
25763 /* confdefs.h. */
25764 _ACEOF
25765 cat confdefs.h >>conftest.$ac_ext
25766 cat >>conftest.$ac_ext <<_ACEOF
25767 /* end confdefs.h. */
25768 #include
25769 #include
25770
25771 #if defined(S_ISBLK) && defined(S_IFDIR)
25772 # if S_ISBLK (S_IFDIR)
25773 You lose.
25774 # endif
25775 #endif
25776
25777 #if defined(S_ISBLK) && defined(S_IFCHR)
25778 # if S_ISBLK (S_IFCHR)
25779 You lose.
25780 # endif
25781 #endif
25782
25783 #if defined(S_ISLNK) && defined(S_IFREG)
25784 # if S_ISLNK (S_IFREG)
25785 You lose.
25786 # endif
25787 #endif
25788
25789 #if defined(S_ISSOCK) && defined(S_IFREG)
25790 # if S_ISSOCK (S_IFREG)
25791 You lose.
25792 # endif
25793 #endif
25794
25795 _ACEOF
25796 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
25797 $EGREP "You lose" >/dev/null 2>&1; then
25798 ac_cv_header_stat_broken=yes
25799 else
25800 ac_cv_header_stat_broken=no
25801 fi
25802 rm -f conftest*
25803
25804 fi
25805 echo "$as_me:$LINENO: result: $ac_cv_header_stat_broken" >&5
25806 echo "${ECHO_T}$ac_cv_header_stat_broken" >&6
25807 if test $ac_cv_header_stat_broken = yes; then
25808
25809 cat >>confdefs.h <<\_ACEOF
25810 #define STAT_MACROS_BROKEN 1
25811 _ACEOF
25812
25813 fi
25814
2532325815 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
2532425816 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
2532525817 if test "${ac_cv_header_stdc+set}" = set; then
2548625978
2548725979 fi
2548825980
25489
2549025981 echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
2549125982 echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6
2549225983 if test "${ac_cv_header_sys_wait_h+set}" = set; then
2555826049
2555926050 fi
2556026051
25561
25562
25563
25564
25565
25566 for ac_header in sys/time.h sys/mman.h sys/resource.h sys/time.h sys/types.h
26052 echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
26053 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
26054 if test "${ac_cv_header_time+set}" = set; then
26055 echo $ECHO_N "(cached) $ECHO_C" >&6
26056 else
26057 cat >conftest.$ac_ext <<_ACEOF
26058 /* confdefs.h. */
26059 _ACEOF
26060 cat confdefs.h >>conftest.$ac_ext
26061 cat >>conftest.$ac_ext <<_ACEOF
26062 /* end confdefs.h. */
26063 #include
26064 #include
26065 #include
26066
26067 int
26068 main ()
26069 {
26070 if ((struct tm *) 0)
26071 return 0;
26072 ;
26073 return 0;
26074 }
26075 _ACEOF
26076 rm -f conftest.$ac_objext
26077 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
26078 (eval $ac_compile) 2>conftest.er1
26079 ac_status=$?
26080 grep -v '^ *+' conftest.er1 >conftest.err
26081 rm -f conftest.er1
26082 cat conftest.err >&5
26083 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26084 (exit $ac_status); } &&
26085 { ac_try='test -z "$ac_c_werror_flag"
26086 || test ! -s conftest.err'
26087 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26088 (eval $ac_try) 2>&5
26089 ac_status=$?
26090 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26091 (exit $ac_status); }; } &&
26092 { ac_try='test -s conftest.$ac_objext'
26093 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26094 (eval $ac_try) 2>&5
26095 ac_status=$?
26096 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26097 (exit $ac_status); }; }; then
26098 ac_cv_header_time=yes
26099 else
26100 echo "$as_me: failed program was:" >&5
26101 sed 's/^/| /' conftest.$ac_ext >&5
26102
26103 ac_cv_header_time=no
26104 fi
26105 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
26106 fi
26107 echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
26108 echo "${ECHO_T}$ac_cv_header_time" >&6
26109 if test $ac_cv_header_time = yes; then
26110
26111 cat >>confdefs.h <<\_ACEOF
26112 #define TIME_WITH_SYS_TIME 1
26113 _ACEOF
26114
26115 fi
26116
26117
26118
26119
26120
26121
26122
26123
26124 for ac_header in dlfcn.h execinfo.h fcntl.h inttypes.h limits.h link.h
2556726125 do
2556826126 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2556926127 if eval "test \"\${$as_ac_Header+set}\" = set"; then
2571726275
2571826276
2571926277
25720 for ac_header in dlfcn.h execinfo.h fcntl.h limits.h link.h
26278
26279 for ac_header in malloc.h signal.h stdint.h unistd.h utime.h windows.h
2572126280 do
2572226281 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2572326282 if eval "test \"\${$as_ac_Header+set}\" = set"; then
2586926428
2587026429
2587126430
25872 for ac_header in malloc.h unistd.h windows.h
26431
26432
26433 for ac_header in sys/mman.h sys/param.h sys/resource.h sys/time.h sys/types.h
2587326434 do
2587426435 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2587526436 if eval "test \"\${$as_ac_Header+set}\" = set"; then
2601826579
2601926580 done
2602026581
26021 echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
26022 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
26023 if test "${ac_cv_header_time+set}" = set; then
26024 echo $ECHO_N "(cached) $ECHO_C" >&6
26025 else
26026 cat >conftest.$ac_ext <<_ACEOF
26027 /* confdefs.h. */
26028 _ACEOF
26029 cat confdefs.h >>conftest.$ac_ext
26030 cat >>conftest.$ac_ext <<_ACEOF
26031 /* end confdefs.h. */
26032 #include
26033 #include
26034 #include
26035
26036 int
26037 main ()
26038 {
26039 if ((struct tm *) 0)
26040 return 0;
26041 ;
26042 return 0;
26043 }
26044 _ACEOF
26045 rm -f conftest.$ac_objext
26046 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
26047 (eval $ac_compile) 2>conftest.er1
26048 ac_status=$?
26049 grep -v '^ *+' conftest.er1 >conftest.err
26050 rm -f conftest.er1
26051 cat conftest.err >&5
26052 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26053 (exit $ac_status); } &&
26054 { ac_try='test -z "$ac_c_werror_flag"
26055 || test ! -s conftest.err'
26056 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26057 (eval $ac_try) 2>&5
26058 ac_status=$?
26059 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26060 (exit $ac_status); }; } &&
26061 { ac_try='test -s conftest.$ac_objext'
26062 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26063 (eval $ac_try) 2>&5
26064 ac_status=$?
26065 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26066 (exit $ac_status); }; }; then
26067 ac_cv_header_time=yes
26068 else
26069 echo "$as_me: failed program was:" >&5
26070 sed 's/^/| /' conftest.$ac_ext >&5
26071
26072 ac_cv_header_time=no
26073 fi
26074 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
26075 fi
26076 echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
26077 echo "${ECHO_T}$ac_cv_header_time" >&6
26078 if test $ac_cv_header_time = yes; then
26079
26080 cat >>confdefs.h <<\_ACEOF
26081 #define TIME_WITH_SYS_TIME 1
26082 _ACEOF
26083
26084 fi
26085
26086 echo "$as_me:$LINENO: checking for MAP_ANONYMOUS vs. MAP_ANON" >&5
26087 echo $ECHO_N "checking for MAP_ANONYMOUS vs. MAP_ANON... $ECHO_C" >&6
26088 if test "${ac_cv_header_mmap_anon+set}" = set; then
26089 echo $ECHO_N "(cached) $ECHO_C" >&6
26090 else
26091 ac_ext=c
26092 ac_cpp='$CPP $CPPFLAGS'
26093 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
26094 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
26095 ac_compiler_gnu=$ac_cv_c_compiler_gnu
26096
26097 cat >conftest.$ac_ext <<_ACEOF
26098 /* confdefs.h. */
26099 _ACEOF
26100 cat confdefs.h >>conftest.$ac_ext
26101 cat >>conftest.$ac_ext <<_ACEOF
26102 /* end confdefs.h. */
26103 #include
26104 #include
26105 #include
26106 int
26107 main ()
26108 {
26109 mmap (0, 1, PROT_READ, MAP_ANONYMOUS, -1, 0); return (0);
26110 ;
26111 return 0;
26112 }
26113 _ACEOF
26114 rm -f conftest.$ac_objext
26115 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
26116 (eval $ac_compile) 2>conftest.er1
26117 ac_status=$?
26118 grep -v '^ *+' conftest.er1 >conftest.err
26119 rm -f conftest.er1
26120 cat conftest.err >&5
26121 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26122 (exit $ac_status); } &&
26123 { ac_try='test -z "$ac_c_werror_flag"
26124 || test ! -s conftest.err'
26125 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26126 (eval $ac_try) 2>&5
26127 ac_status=$?
26128 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26129 (exit $ac_status); }; } &&
26130 { ac_try='test -s conftest.$ac_objext'
26131 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26132 (eval $ac_try) 2>&5
26133 ac_status=$?
26134 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26135 (exit $ac_status); }; }; then
26136 ac_cv_header_mmap_anon=yes
26137 else
26138 echo "$as_me: failed program was:" >&5
26139 sed 's/^/| /' conftest.$ac_ext >&5
26140
26141 ac_cv_header_mmap_anon=no
26142 fi
26143 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
26144 ac_ext=c
26145 ac_cpp='$CPP $CPPFLAGS'
26146 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
26147 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
26148 ac_compiler_gnu=$ac_cv_c_compiler_gnu
26149
26150
26151 fi
26152 echo "$as_me:$LINENO: result: $ac_cv_header_mmap_anon" >&5
26153 echo "${ECHO_T}$ac_cv_header_mmap_anon" >&6
26154 if test "$ac_cv_header_mmap_anon" = yes; then
26155
26156 cat >>confdefs.h <<\_ACEOF
26157 #define HAVE_MMAP_ANONYMOUS
26158 _ACEOF
26159
26160 fi
26161
26162
26163
26164
26165 for ac_header in inttypes.h stdint.h
26166 do
26167 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
26168 if eval "test \"\${$as_ac_Header+set}\" = set"; then
26169 echo "$as_me:$LINENO: checking for $ac_header" >&5
26170 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
26171 if eval "test \"\${$as_ac_Header+set}\" = set"; then
26172 echo $ECHO_N "(cached) $ECHO_C" >&6
26173 fi
26174 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
26175 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
26176 else
26177 # Is the header compilable?
26178 echo "$as_me:$LINENO: checking $ac_header usability" >&5
26179 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
26180 cat >conftest.$ac_ext <<_ACEOF
26181 /* confdefs.h. */
26182 _ACEOF
26183 cat confdefs.h >>conftest.$ac_ext
26184 cat >>conftest.$ac_ext <<_ACEOF
26185 /* end confdefs.h. */
26186 $ac_includes_default
26187 #include <$ac_header>
26188 _ACEOF
26189 rm -f conftest.$ac_objext
26190 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
26191 (eval $ac_compile) 2>conftest.er1
26192 ac_status=$?
26193 grep -v '^ *+' conftest.er1 >conftest.err
26194 rm -f conftest.er1
26195 cat conftest.err >&5
26196 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26197 (exit $ac_status); } &&
26198 { ac_try='test -z "$ac_c_werror_flag"
26199 || test ! -s conftest.err'
26200 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26201 (eval $ac_try) 2>&5
26202 ac_status=$?
26203 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26204 (exit $ac_status); }; } &&
26205 { ac_try='test -s conftest.$ac_objext'
26206 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26207 (eval $ac_try) 2>&5
26208 ac_status=$?
26209 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26210 (exit $ac_status); }; }; then
26211 ac_header_compiler=yes
26212 else
26213 echo "$as_me: failed program was:" >&5
26214 sed 's/^/| /' conftest.$ac_ext >&5
26215
26216 ac_header_compiler=no
26217 fi
26218 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
26219 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
26220 echo "${ECHO_T}$ac_header_compiler" >&6
26221
26222 # Is the header present?
26223 echo "$as_me:$LINENO: checking $ac_header presence" >&5
26224 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
26225 cat >conftest.$ac_ext <<_ACEOF
26226 /* confdefs.h. */
26227 _ACEOF
26228 cat confdefs.h >>conftest.$ac_ext
26229 cat >>conftest.$ac_ext <<_ACEOF
26230 /* end confdefs.h. */
26231 #include <$ac_header>
26232 _ACEOF
26233 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
26234 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
26235 ac_status=$?
26236 grep -v '^ *+' conftest.er1 >conftest.err
26237 rm -f conftest.er1
26238 cat conftest.err >&5
26239 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26240 (exit $ac_status); } >/dev/null; then
26241 if test -s conftest.err; then
26242 ac_cpp_err=$ac_c_preproc_warn_flag
26243 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
26244 else
26245 ac_cpp_err=
26246 fi
26247 else
26248 ac_cpp_err=yes
26249 fi
26250 if test -z "$ac_cpp_err"; then
26251 ac_header_preproc=yes
26252 else
26253 echo "$as_me: failed program was:" >&5
26254 sed 's/^/| /' conftest.$ac_ext >&5
26255
26256 ac_header_preproc=no
26257 fi
26258 rm -f conftest.err conftest.$ac_ext
26259 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
26260 echo "${ECHO_T}$ac_header_preproc" >&6
26261
26262 # So? What about this header?
26263 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
26264 yes:no: )
26265 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
26266 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
26267 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
26268 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
26269 ac_header_preproc=yes
26270 ;;
26271 no:yes:* )
26272 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
26273 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
26274 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
26275 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
26276 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
26277 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
26278 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
26279 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
26280 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
26281 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
26282 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
26283 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
26284 (
26285 cat <<\_ASBOX
26286 ## ----------------------------------- ##
26287 ## Report this to llvmbugs@cs.uiuc.edu ##
26288 ## ----------------------------------- ##
26289 _ASBOX
26290 ) |
26291 sed "s/^/$as_me: WARNING: /" >&2
26292 ;;
26293 esac
26294 echo "$as_me:$LINENO: checking for $ac_header" >&5
26295 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
26296 if eval "test \"\${$as_ac_Header+set}\" = set"; then
26297 echo $ECHO_N "(cached) $ECHO_C" >&6
26298 else
26299 eval "$as_ac_Header=\$ac_header_preproc"
26300 fi
26301 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
26302 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
26303
26304 fi
26305 if test `eval echo '${'$as_ac_Header'}'` = yes; then
26306 cat >>confdefs.h <<_ACEOF
26307 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
26308 _ACEOF
26309
26310 fi
26311
26312 done
26313
2631426582
2631526583
2631626584 echo "$as_me:$LINENO: checking for pid_t" >&5
2699927267
2700027268
2700127269
27002 for ac_func in realpath strdup strtoq strtoll sysconf
27270
27271 for ac_func in realpath setrlimit strdup strtoq strtoll sysconf
2700327272 do
2700427273 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2700527274 echo "$as_me:$LINENO: checking for $ac_func" >&5
3046730736 s,@DATE@,$DATE,;t t
3046830737 s,@FIND@,$FIND,;t t
3046930738 s,@GREP@,$GREP,;t t
30470 s,@LLVMGCC@,$LLVMGCC,;t t
30471 s,@LLVMGXX@,$LLVMGXX,;t t
3047230739 s,@MKDIR@,$MKDIR,;t t
3047330740 s,@MV@,$MV,;t t
3047430741 s,@PAX@,$PAX,;t t
3050830775 s,@ac_ct_F77@,$ac_ct_F77,;t t
3050930776 s,@LIBTOOL@,$LIBTOOL,;t t
3051030777 s,@ETAGSFLAGS@,$ETAGSFLAGS,;t t
30778 s,@LLVMGCC@,$LLVMGCC,;t t
30779 s,@LLVMGXX@,$LLVMGXX,;t t
3051130780 s,@ALLOCA@,$ALLOCA,;t t
3051230781 s,@MMAP_FILE@,$MMAP_FILE,;t t
3051330782 s,@LLVMCC1@,$LLVMCC1,;t t
227227 /* Define to 1 if you have the `rindex' function. */
228228 #undef HAVE_RINDEX
229229
230 /* Define to 1 if you have the `setrlimit' function. */
231 #undef HAVE_SETRLIMIT
232
230233 /* Define if you have the shl_load function. */
231234 #undef HAVE_SHL_LOAD
232235
236 /* Define to 1 if you have the header file. */
237 #undef HAVE_SIGNAL_H
238
233239 /* Define to 1 if you have the header file. */
234240 #undef HAVE_STDINT_H
235241
295301 */
296302 #undef HAVE_SYS_NDIR_H
297303
304 /* Define to 1 if you have the header file. */
305 #undef HAVE_SYS_PARAM_H
306
298307 /* Define to 1 if you have the header file. */
299308 #undef HAVE_SYS_RESOURCE_H
300309
315324
316325 /* Define to 1 if you have the header file. */
317326 #undef HAVE_UNISTD_H
327
328 /* Define to 1 if you have the header file. */
329 #undef HAVE_UTIME_H
318330
319331 /* Define to 1 if the system has the type `u_int64_t'. */
320332 #undef HAVE_U_INT64_T
401413 STACK_DIRECTION = 0 => direction of growth unknown */
402414 #undef STACK_DIRECTION
403415
416 /* Define to 1 if the `S_IS*' macros in do not work properly. */
417 #undef STAT_MACROS_BROKEN
418
404419 /* Define to 1 if you have the ANSI C header files. */
405420 #undef STDC_HEADERS
406421